load 'reg.txt'

level1 = unique(reg(:, 9));
level2 = unique(reg(:, 10));
group = zeros(size(reg, 1), 2);
for i = 1:size(reg, 1)
    for j1 = 1:4
        if ( abs(reg(i, 9) - level1(j1)) < 0.001 )
            group(i, 1) = j1;
        end
    end
    for j1 = 1:3
        if ( abs(reg(i, 10) - level2(j1)) < 0.001 )
            group(i, 2) = j1;
        end
    end
end

target = reg(:, 2:8);

[n, p] = size(target);

%target = reg(:, 2);

%timepoint = zeros(1, 500);
%for i = 1:50
%    timepoint(((i-1)*10+1):(i*10)) = i;
%end
%timepoint = 1:length(y);

burnin = 5000;
numbofits = 6000;
every = 5;

ypred = zeros(p, 81);
% for i = 1:p
%     ypred(i, :) = linspace(min(target(:, i)), max(target(:, i)), size(ypred, 2));
% end
ypred(1, :) = linspace(-1.5, 3.8, size(ypred, 2));
ypred(2, :) = linspace(-6.5, 3.2, size(ypred, 2));
ypred(3, :) = linspace(-2, 10, size(ypred, 2));
ypred(4, :) = linspace(-2, 10.0, size(ypred, 2));
ypred(5, :) = linspace(4, 20, size(ypred, 2));
ypred(6, :) = linspace(-3.0, 1, size(ypred, 2));
ypred(7, :) = linspace(-0.5, 3, size(ypred, 2));

[fpred, holdM, holdsigmasq1, holdsigmasq2, holdsigmasq_int] = normal_2D(group, target, ypred, burnin, numbofits, every);

for i = 1:p
    figure(i)
    for j = 1:size(fpred, 3)
        plot(ypred(i, :), fpred(i, :, j))
        hold on
    end
    hold off
end

% figure(1)
% pcolor(1:ngroup, ypred, fpred')
% shading flat

% figure(2)
% plot(ypred, fpred)

figure(p + 1)
plot(holdM)

figure(p + 2)
plot(holdsigmasq1)

figure(p + 3)
plot(holdsigmasq2)

figure(p + 4)
plot(holdsigmasq_int)

%save('results_group','holdsigmasq','holdmix_sigmasq','holdmix_a','holdM','ypred','fpred');

save('results_ANOVA.mat','ypred','fpred','holdsigmasq1','holdsigmasq2','holdsigmasq_int','holdM','holdv','numbclust');

